.blog_card {
    display: flex;
    aspect-ratio: 20/7;
    width: 50%;
    text-overflow: ellipsis;
}


.blog_card .product_img {
    width: 50%;
}

.blog_card .blog_text {
    width: 50%;
    margin: 0 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.blog_card h3 {
    height: 20%;
    width: 100%;
    margin: 0;
    text-align: left;
}

.blog_card p {
    color: hsl(0, 0%, 30%);
    height: 60%;
    width: 100%;
    text-align: left;
    font-size: 14px;
    line-height: 18px;
    overflow: hidden;
}



.blog_text .btn {
    width: fit-content;
}



@media screen and (max-width: 1100px) {

    .blog_card {
        width: 100%;
    }
}




@media screen and (max-width: 800px) {

    .blog_card {
        width: 100%;
        height: 310px;
        flex-direction: column;
    }

    .blog_card .product_img {
        width: 100%;
    }

    .blog_card .blog_text {
        margin: 10px 0;
        width: 100%;
        height: 50%;
    }

}